跳至內容

SeedVR2 · Image

整合

模型 id seedvr/upscale/image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/seedvr/upscale/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.005 5 API 點數 · ≈ ₽0.53 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
ByteDance 升級解析度 4K 輸出 #upscale#image-to-image

通用影像放大器,支援倍率或目標解析度模式,輸出 JPG、PNG 或 WebP

ByteDance · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 image_url
拖放檔案,或

提供用於處理的圖像。

upscale_mode 預設 factor

放大模式:`target` 會根據要求的解析度推導縮放係數,而 `factor` 會直接套用提供的縮放係數。

target_resolution 預設 1080p

當 `upscale_mode` 設為 `target` 時,用於放大的所需輸出解析度。

預設 2

當 `upscale_mode` 設為 `factor` 時,套用於尺寸的乘數。

進階 output_format · noise_scale · seed
output_format 預設 jpg

結果圖像的檔案格式。

預設 0.1

生成期間套用的雜訊縮放值。

生成期間使用的隨機種子。

POST /run/seedvr/upscale/image?wait=20 報價 → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/seedvr/upscale/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 SeedVR2 · Image

從 `image_url` 放大單張圖片。在倍率模式中,`upscale_factor` 將尺寸放大 1 到 10 倍。在目標模式中,`target_resolution` 可為 720p、1080p、1440p 或 2160p。`noise_scale`(0 到 1)與 `seed` 可調整結果,`output_format` 預設為 jpg,也可使用 png 和 webp。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
提供用於處理的圖像。
upscale_mode選填
類型enum
預設值factor
targetfactor
放大模式:`target` 會根據要求的解析度推導縮放係數,而 `factor` 會直接套用提供的縮放係數。
upscale_factor選填
類型number
預設值2
1 – 10
當 `upscale_mode` 設為 `factor` 時,套用於尺寸的乘數。
target_resolution選填
類型enum
預設值1080p
720p1080p1440p2160p
當 `upscale_mode` 設為 `target` 時,用於放大的所需輸出解析度。
seed選填
類型integer | null
生成期間使用的隨機種子。
noise_scale選填
類型number
預設值0.1
0 – 1
生成期間套用的雜訊縮放值。
output_format選填
類型enum
預設值jpg
pngjpgwebp
結果圖像的檔案格式。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "seedvr/upscale/image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
image
object {url, content_type, file_name, file_size, width, height}已套用放大的處理後圖像檔案。
seed
integer生成期間使用的隨機種子。

更多模型:升級解析度

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/seedvr/upscale/image.md. 所有模型與指南: https://doitong.com/developers/llms.txt